---
title: "Disable zone targeting"
type: reference
method: POST
path: /rest-api/zone/{zoneId}/targeting/disable.do
tag: "Targeting Rules"
---

# Disable zone targeting

`POST https://YOUR-NETWORK-DOMAIN/rest-api/zone/{zoneId}/targeting/disable.do`

Disables all targeting rules for the specified zone. Requires UPDATE permission on the zone and MANAGE_SUPPLY_PRE_TARGETING user permission.

## Path params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `zoneId` | integer | yes | `200` | Unique numeric ID of the zone |

## Responses

- `200` — Success
- `400` — Bad request — invalid or missing parameters
- `401` — Unauthorized
- `403` — Forbidden
- `404` — Zone not found
- `500` — Internal server error

## Example request

```bash
curl --request POST \
  --url 'https://YOUR-NETWORK-DOMAIN/rest-api/zone/200/targeting/disable.do' \
  --header 'X-Api-Key: YOUR_API_KEY'
```

Source: https://epom.com/ad-server/docs/api/targeting-rules/post-zone-targeting-disable